
Showroom Mobile Banking - Feature #13186

Card Payment

24 February 2022 04:31 PM - chok yee fan

Status: Closed Start date: 24 February 2022

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Backend need to prepare the web service like block credit card.

Front end need to prepare the screen like block credit card as well.

History

#1 - 24 February 2022 04:34 PM - chok yee fan

Once you completed the web service and deployed into server. Assign back to me with status feedback.

added the request param and response into this redmine or attach any link or doc refer the web service.

#2 - 24 February 2022 04:38 PM - santhosh Krishna

- Status changed from New to In Progress

#3 - 25 February 2022 05:44 PM - santhosh Krishna

- Status changed from In Progress to Feedback

- Assignee changed from santhosh Krishna to chok yee fan

WS : cardPaymentList

URL : /cc_mib_ws/api/v1/ribms/cardPaymentList

REQUEST: {

fromAccOverview":"Y",

"creditCardIndex":"ACC003"

}

RESPONSE : similar to "reportLSFList" ws

--------------------------------------------------

WS : cardPaymentAck

URL : /cc_mib_ws/api/v1/ribms/cardPaymentAck"

REQUEST: {

"ownCardIndex":"1",

"suppCardIndex":"",

"debitCardIndex":"",

"refCode":"",

"amounts": 25.90

}

RESPONSE   {

"status": {

"status_code": "0"

},

"credit_card": {

"account_id": "",

"card_id": "0",

"card_payment": {

"reference_code": "asdasdad",

"amounts": "12.99"

}
}

}

#4 - 28 February 2022 10:46 AM - chok yee fan

- Status changed from Feedback to Closed

duplicated with

http://smes.silverlakegroup.com.my:82/redmine/issues/13188
